package homework.interfaces.operators;

/**
 * Interface for the Operators Singleton Factory.
 *
 * @author Laurentiu Stamate
 */
public interface IOperatorsFactory {
  /**
   * Instantiates an operator.
   *
   * @param operator The operator as String
   * @return An instance that inherits IOperator
   */
  IOperator createOperator(String operator);

  /**
   * Checks whether or not a token is an operator.
   *
   * @param token The token
   * @return The operator status
   */
  boolean isOperator(String token);

  /**
   * Checks whether or not a token is an unary operator.
   *
   * @param token The token
   * @return The unary operator status
   */
  boolean isUnaryOperator(String token);

  /**
   * Checks whether or not a token is a binary operator.
   *
   * @param token The token
   * @return The binary operator status
   */
  boolean isBinaryOperator(String token);
}
